Subject: hawkmoth distribution and phenology in OR

From: [email-masked] (TmoeCRUX)
Date: 5 May 1995 01:53:56 -0400

I am doing research on pollinators of Mirabilis macfarlanei.  I would like
to find 
out any information on hawkmoth distribution and time of emergence in the 
Snake and Salmon River drainages of north east OR and west central ID. 
The
plant blooms from May through June.  If anyone knows of a good source for
this
type of information (besides Hodges, Hawkmoths of North America) please
let me know. 
J. Barnes